Contents

# InStrRev Function [VBA]

Returns the position of a string within another string, starting from the right side of the string.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

The InStrRev function returns the position at which the match was found, from the right. If the string was not found, the function returns 0.

### Syntax:

    InStrRev (StringCheck As String, StringMatch As String [,Start As Long] [, Compare As Integer])

### Return type:

Long

### Parameters:

StringCheck: The string expression that you want to search.

StringMatch: The string expression that you want to search for.

Start: Optional numeric expression that marks the position from the left in a string where the search for the specified substring starts. If you omit this parameter, the search starts at the last character of the string. The maximum allowed value is 65535.

Compare: Optional numeric expression that defines the type of comparison. The value of this parameter can be

1: The default value of 1 specifies a text comparison that is not case-sensitive.

0: The value of 0 specifies a binary comparison that is case-sensitive.

To avoid a run-time error, do not set the Compare parameter if the first return parameter is omitted.

### Error codes:

5 잘못된 프로시저 호출입니다.

### Example:

    Sub ExamplePosition
    Dim sInput As String
    Dim iPos As Integer
     sInput = "The book is on the table"
     iPos = InStrRev(sInput,"the",10,1) ' Returns 1, search is case-insensitive
     Print iPos
     iPos = InStrRev(sInput,"the",10,0) ' Returns 0, search is case-sensitive
     Print iPos
    End Sub

관련 주제

InStr